EDIT - bug #7915

Remove date published from journals and print series

11/20/2018 05:09 PM - Andreas Mdller

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 50%
Category: cdm Estimated time: 0:00 hour
Target version: Release 5.5

Severity: normal Found in Version:

Description

Journals (and also print series) do not have a single publication date but only a period in which single volumes have been published.
Therefore the current possibility to add date published to a journal or a print series should be removed in the according interfaces.

Related issues:

Related to EDIT - bug #7913: Remove authorship from IJournal and IPrintSeries Closed
Related to EDIT - bug #7828: Remove date published from journals in E+M In Progress
Related to EDIT - bug #7223: ReferenceEditor: disable fields depending on the... Closed
Related to EDIT - task #7918: Revision of reference type specific properties Closed
Related to EDIT - bug #7930: Remove DOI from journals, print series and perso... Closed
Related to EDIT - feature request #7982: [Rule] Validate correct usage of ref... New

Has duplicate EDIT - bug #7839: IJournal should not have author, date publish... Duplicate

Associated revisions

Revision 2¢63453 - 11/20/2018 05:15 PM - Andreas Miiller

fix #7915 move datePublished to subinterface IWithAuthorAndDate, remove from [Journal and IPrintSeries this way

Revision 87f7c0f5 - 12/03/2018 02:28 PM - Katja Luther

ref #7915: remove date published for journal, print series in taxeditor

History

#1 - 11/20/2018 05:16 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|f2c63453989¢2752a87d078b61049b2806fd0097.

#2 - 11/20/2018 05:19 PM - Andreas Miiller

- Is duplicate of bug #7839: IJournal should not have author, date published etc. added

#3 - 11/20/2018 05:21 PM - Andreas Miiller

- Is duplicate of deleted (bug #7839: IJournal should not have author, date published etc.)

#4 - 11/20/2018 05:22 PM - Andreas Miiller
- Has duplicate bug #7839: IJournal should not have author, date published

#5 - 11/20/2018 05:25 PM - Andreas Miiller

etc. added

- Related to bug #7913: Remove authorship from IJournal and IPrintSeries added

#6 - 11/20/2018 05:26 PM - Andreas Miiller

- Related to bug #7828: Remove date published from journals in E+M added

#7 - 11/20/2018 05:33 PM - Andreas Miiller

- Related to bug #7223: ReferenceEditor: disable fields depending on the Reference type added
#8 - 11/21/2018 11:35 AM - Andreas Kohlbecker
- Related to task #7918: Revision of reference type specific properties added

#9 - 11/28/2018 01:04 PM - Andreas Miiller

- Related to bug #7930: Remove DOI from journals, print series and person communications added

#10 - 12/03/2018 02:29 PM - Katja Luther

this is also implemented in taxeditor. please review.

#11 - 01/14/2019 11:27 AM - Andreas Miiller

- Related to feature request #7982: [Rule] Validate correct usage of reference attributes for reference types. added

#12 - 01/14/2019 11:34 AM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

Works as expected
